Carregando...
Sem categoria

Instalando PostgreSQL

Instalando no Debian/Ubuntu

sudo bash -c 'echo "deb http://apt.postgresql.org/pub/repos/apt/ `lsb_release -sc`-pgdg main" > /etc/apt/sources.list.d/pgdg.list'
wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -
sudo apt update
sudo apt install postgresql
# também pode usar postgresql-11, postgresql-12...

Instalando o PostGIS

sudo apt install postgresql-11-postgis-3
sudo apt install postgresql-11-postgis-3-scripts

Acesse o PostgreSQL no banco de dados desejado e digite:

CREATE EXTENSION postgis;

Perceba que agora haverá uma tabela chamada spatial_ref_sys no schema public.

Se conectando ao PostgreSQL

Está instalado! Mas… não temos acesso ao banco de dados, precisamos definir uma senha para a conta padrão!

sudo -u postgres psql postgres

E agora altere a senha para o usuário postgres

ALTER USER postgres WITH PASSWORD 'nova_senha';

Permitindo acesso de usuários externos ao PostgreSQL

Por padrão o PostgreSQL apenas aceita ser acessado dentro da própria máquina (localhost).

Para permitir conexões via LAN ou WAN edite os arquivos

! troque o 11 pela versão exata do seu PostgreSQL !

/etc/postgresql/11/main/postgresql.conf
e adicione a seguinte linha

listen_addresses = '*'

E também o arquivo
/etc/postgresql/11/main/pg_hba.conf
edite a linha

# IPv4 local connections:
host    all             all             127.0.0.1/32            md5

troque por:

# IPv4 local connections:
host    all             all             0.0.0.0/0               md5

Agora reinicie seu cluster PostgreSQL

sudo systemctl restart postgresql@11-main.service

Referências

Documentação oficial
https://www.postgresql.org/download/linux/debian/

Mudando a senha do PostogreSQL
https://stackoverflow.com/questions/12720967/how-to-change-postgresql-user-password

Liberando acesso de LAN e WAN para o PostgreSQL
https://stackoverflow.com/questions/22080307/access-postgresql-server-from-lan

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *